Bug 451758 - (CVE-2008-2711) CVE-2008-2711 fetchmail: Crash in large log messages in verbose mode
CVE-2008-2711 fetchmail: Crash in large log messages in verbose mode
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,reported=20080613,...
: Security
Depends On: 452959 516266 516267 516268 516269 516270
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 03:42 EDT by Tomas Hoger
Modified: 2012-11-27 07:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 11:41:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-06-17 03:42:45 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-2711 to the following vulnerability:

fetchmail 6.3.8 and earlier, when running in -v -v mode, allows remote
attackers to cause a denial of service (crash and persistent mail failure) via
a malformed mail message with long headers, which is not properly handled when
using vsnprintf to format log messages.

References:
http://www.openwall.com/lists/oss-security/2008/06/13/1
http://www.fetchmail.info/fetchmail-SA-2008-01.txt
https://bugzilla.novell.com/show_bug.cgi?id=354291
Comment 2 Tomas Hoger 2008-06-25 02:14:56 EDT
Fetchmail SA-2008-01 was updated on 2008-06-24 to address the same issue in
report_complete(), besides originally reported report_build().
Comment 3 Tomas Hoger 2008-06-26 05:08:25 EDT
This issue can result in fetchmail crash.  Such crash can only be considered a
security issue when fetchmail is run in daemon mode.  However, it's unlikely to
use double verbose mode (-v -v) when running fetchmail in a daemon mode. 
Problem can easily be worked-around by lowering logging verbosity.

With respect to that, this issue was rated as having low security impact, a
future fetchmail update in Red Hat Enterprise Linux may address this flaw.

Note: This issue may not affect all architectures and glibc versions.  Crash was
only confirmed on x86_64 and PPC architectures.
Comment 5 Fedora Update System 2008-06-27 06:39:59 EDT
fetchmail-6.3.8-7.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-06-27 06:52:26 EDT
fetchmail-6.3.8-4.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-06-28 18:14:57 EDT
fetchmail-6.3.8-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-06-28 18:15:19 EDT
fetchmail-6.3.8-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2009-09-08 11:20:59 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1427 https://rhn.redhat.com/errata/RHSA-2009-1427.html

Note You need to log in before you can comment on or make changes to this bug.